map version higher than game verison?

Anything that prevents you from playing the game properly. Do you have issues playing for the game, downloading it or successfully running it on your computer? Let us know here.
Post Reply
mitchm36
Manual Inserter
Manual Inserter
Posts: 2
Joined: Tue Nov 08, 2022 2:46 am
Contact:

map version higher than game verison?

Post by mitchm36 »

I had a crash while playing this past weekend, and when I went back into the same file i was playing after the crash, it gave me an error message at the title screen that says:

"Map version (1.1.71-0) cannot be loaded because it is higher than the game version (1.1.70-1)".
error message
error message
factorio error2.png (1.16 MiB) Viewed 169 times
All 3 of the autosave files for this playthrough are also being recognized as map version 1.1.71-0, is there any way to recover or restore my save file to the current game version?

my blueprint library was also lost in the process, but partially recovered from an older save, thanks to this post: viewtopic.php?f=49&t=94427&p=532312&hil ... ok#p532312. i have a copy of the blueprint-storage-backup.dat file from the most recent gamesave, but have been unsuccessful in being able to access my beloved blueprints from my furthest savepoint.

I am upset that i lost my save game, but really devastated to have lost the blueprints associated with the most recent game save point. Are they really lost forever, or can someone help me recover from this "version error"?

in my attempts to recover my blueprint library this evening, i have loaded into the game several times. This means that my "factorio-current.log" and "factorio-previous.log" files have been overwritten with data from today.

please help if you can, i am desperate :( :(
Attachments
_autosave2.zip
most recent autosave
(43.53 MiB) Downloaded 9 times

User avatar
boskid
Factorio Staff
Factorio Staff
Posts: 1883
Joined: Thu Dec 14, 2017 6:56 pm
Contact:

Re: map version higher than game verison?

Post by boskid »

1.1.70 is current stable version and 1.1.71 is current experimental version. The best solution for you would be to simply use 1.1.71 where this provided save file simply loads fine. If you are using steam you should be able to select experimental branch in the beta settings. Why did you switch game version to a previous one?

mitchm36
Manual Inserter
Manual Inserter
Posts: 2
Joined: Tue Nov 08, 2022 2:46 am
Contact:

Re: map version higher than game verison?

Post by mitchm36 »

The best solution for you would be to simply use 1.1.71 where this provided save file simply loads fine. If you are using steam you should be able to select experimental branch in the beta settings.
IT WORKED!! (duh!) and i was able to recover my blueprints again!!
Why did you switch game version to a previous one?
i have no idea how the version got changed from experimental, but when i changed it back to my usual latest-experimental-beta (on steam) it all worked out fine. everything is recovered and you have restored order in my universe.

a very sincere thank you to boskid, for being able to see the obvious solution that i had missed. This community is amazing.

TFMG!

Post Reply

Return to “Technical Help”